| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
FontData Class Reference
General

Data needed to make an actual font. More...

`#include <fontdata.h>`

## Public Types
enum | StdSz { Control =0 , Graphics2D , Graphics3D , Fixed , Graphics2DSmall , Graphics2DLarge , ControlSmall , ControlLarge }
enum | Weight { Light , Normal , DemiBold , Bold , Black }

## Public Member Functions
| FontData (const char *fms)
| FontData (int ptsz=defaultPointSize(), const char *fam=defaultFamily(), Weight wght=defaultWeight(), bool ital=defaultItalic())
| ~FontData ()
| Calls getFrom.
const char * | family () const
bool | getFrom (const char *fms)
| Store/retrieve (in FileMultiString format).
bool | isItalic () const
bool | operator!= (const FontData &) const
FontData & | operator= (const FontData &)
bool | operator== (const FontData &) const
int | pointSize () const
void | putTo (BufferString &) const
void | setFamily (const char *f)
void | setItalic (bool yn)
void | setPointSize (int ps)
void | setStyleName (const char *)
void | setWeight (Weight w)
const char * | styleName () const
Weight | weight () const

## Static Public Member Functions
static const char * | defaultFamily ()
static bool | defaultItalic ()
static const char *const * | defaultKeys ()
| array of strings with null as last element
static int | defaultPointSize ()
static Weight | defaultWeight ()
static Weight | enumWeight (int)
static const char * | key (StdSz ss)
static int | numWeight (Weight)
static void | setDefaultFamily (const char *f)
static void | setDefaultItalic (bool yn)
static void | setDefaultPointSize (int ps)
static void | setDefaultWeight (Weight w)
static const char *const * | universalFamilies ()
| array of strings with null as last element

## Protected Attributes
BufferString | family_ = defaultFamily()
bool | italic_ = defaultItalic()
int | pointsize_ = defaultPointSize()
BufferString | stylename_ = "Regular"
Weight | weight_ = defaultWeight()

## Detailed Description

Data needed to make an actual font.

<>

## Member Enumeration Documentation

## ◆ StdSz

enum FontData::StdSz

Enumerator
Control |
Graphics2D |
Graphics3D |
Fixed |
Graphics2DSmall |
Graphics2DLarge |
ControlSmall |
ControlLarge |

## ◆ Weight

enum FontData::Weight

Enumerator
Light |
Normal |
DemiBold |
Bold |
Black |

## Constructor & Destructor Documentation

## ◆ FontData() [1/2]

FontData::FontData | ( | int | ptsz = defaultPointSize(),
|  | const char * | fam = defaultFamily(),
|  | Weight | wght = defaultWeight(),
|  | bool | ital = defaultItalic() )

## ◆ FontData() [2/2]

FontData::FontData | ( | const char * | fms | ) |

## ◆ ~FontData()

FontData::~FontData | ( |  | ) |

Calls getFrom.

## Member Function Documentation

## ◆ defaultFamily()

static const char * FontData::defaultFamily | ( |  | ) |
| static

## ◆ defaultItalic()

static bool FontData::defaultItalic | ( |  | ) |
| static

## ◆ defaultKeys()

static const char *const * FontData::defaultKeys | ( |  | ) |
| static

array of strings with null as last element

## ◆ defaultPointSize()

static int FontData::defaultPointSize | ( |  | ) |
| static

## ◆ defaultWeight()

static Weight FontData::defaultWeight | ( |  | ) |
| static

## ◆ enumWeight()

static Weight FontData::enumWeight | ( | int |  | ) |
| static

## ◆ family()

const char * FontData::family | ( |  | ) | const
| inline

## ◆ getFrom()

bool FontData::getFrom | ( | const char * | fms | ) |

Store/retrieve (in FileMultiString format).

## ◆ isItalic()

bool FontData::isItalic | ( |  | ) | const
| inline

## ◆ key()

static const char * FontData::key | ( | StdSz | ss | ) |
| static

## ◆ numWeight()

static int FontData::numWeight | ( | Weight |  | ) |
| static

## ◆ operator!=()

bool FontData::operator!= | ( | const FontData & |  | ) | const

## ◆ operator=()

FontData & FontData::operator= | ( | const FontData & |  | ) |

## ◆ operator==()

bool FontData::operator== | ( | const FontData & |  | ) | const

## ◆ pointSize()

int FontData::pointSize | ( |  | ) | const
| inline

## ◆ putTo()

void FontData::putTo | ( | BufferString & |  | ) | const

## ◆ setDefaultFamily()

static void FontData::setDefaultFamily | ( | const char * | f | ) |
| static

## ◆ setDefaultItalic()

static void FontData::setDefaultItalic | ( | bool | yn | ) |
| static

## ◆ setDefaultPointSize()

static void FontData::setDefaultPointSize | ( | int | ps | ) |
| static

## ◆ setDefaultWeight()

static void FontData::setDefaultWeight | ( | Weight | w | ) |
| static

## ◆ setFamily()

void FontData::setFamily | ( | const char * | f | ) |
| inline

## ◆ setItalic()

void FontData::setItalic | ( | bool | yn | ) |
| inline

## ◆ setPointSize()

void FontData::setPointSize | ( | int | ps | ) |
| inline

## ◆ setStyleName()

void FontData::setStyleName | ( | const char * |  | ) |

## ◆ setWeight()

void FontData::setWeight | ( | Weight | w | ) |
| inline

## ◆ styleName()

const char * FontData::styleName | ( |  | ) | const

## ◆ universalFamilies()

static const char *const * FontData::universalFamilies | ( |  | ) |
| static

array of strings with null as last element

## ◆ weight()

Weight FontData::weight | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ family_

BufferString FontData::family_ = defaultFamily()
| protected

## ◆ italic_

bool FontData::italic_ = defaultItalic()
| protected

## ◆ pointsize_

int FontData::pointsize_ = defaultPointSize()
| protected

## ◆ stylename_

BufferString FontData::stylename_ = "Regular"
| protected

## ◆ weight_

Weight FontData::weight_ = defaultWeight()
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025